PolicyComparator (Apache CXF API 2.2.12-patch-03 API)
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.util
Class PolicyComparator

    java.lang.Object
      org.apache.cxf.ws.policy.util.PolicyComparator

    public final class PolicyComparator

extends Object

Method Summary
`static boolean` | `compare(org.apache.neethi.All arg1, org.apache.neethi.All arg2)`
`static boolean` | `compare(org.apache.neethi.Assertion arg1, org.apache.neethi.Assertion arg2)`
`static boolean` | `compare(org.apache.neethi.ExactlyOne arg1, org.apache.neethi.ExactlyOne arg2)`
`static boolean` | `compare(org.apache.neethi.PolicyComponent arg1, org.apache.neethi.PolicyComponent arg2)` Returns `true` if the two PolicyComponents have the same semantics.
`static boolean` | `compare(org.apache.neethi.Policy arg1, org.apache.neethi.Policy arg2)` Returns `true` if the two policies have the same semantics

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compare

    public static boolean compare(org.apache.neethi.Policy arg1,
                                  org.apache.neethi.Policy arg2)

  Returns `true` if the two policies have the same semantics

  Parameters:
    `arg1` - a Policy
    `arg2` - another Policy
  Returns:
    `true` iff both policies have the same semantics

### compare

    public static boolean compare(org.apache.neethi.PolicyComponent arg1,
                                  org.apache.neethi.PolicyComponent arg2)

  Returns `true` if the two PolicyComponents have the same semantics.

  Parameters:
    `arg1` - a PolicyComponent
    `arg2` - another PolicyComponent
  Returns:
    `true` iff both PolicyComponents have the same semantics

### compare

    public static boolean compare(org.apache.neethi.All arg1,
                                  org.apache.neethi.All arg2)

### compare

    public static boolean compare(org.apache.neethi.ExactlyOne arg1,
                                  org.apache.neethi.ExactlyOne arg2)

### compare

    public static boolean compare(org.apache.neethi.Assertion arg1,
                                  org.apache.neethi.Assertion arg2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF